List runners
curl --request GET \
--url https://guidinghand.ai/v1/runners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/runners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/runners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "runner",
"runner_id": "rn_T2Lc0aQ3Vb7s",
"name": "lenovo-lab-1",
"scope": "org",
"status": "online",
"provider": "qemu",
"labels": [
"vm"
],
"slots": 123,
"busy": 123,
"images": [
"win10-22h2"
],
"version": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Runners
List runners
Your org’s runners and GuidingHand’s cloud runners.
GET
/
v1
/
runners
List runners
curl --request GET \
--url https://guidinghand.ai/v1/runners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://guidinghand.ai/v1/runners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://guidinghand.ai/v1/runners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"object": "runner",
"runner_id": "rn_T2Lc0aQ3Vb7s",
"name": "lenovo-lab-1",
"scope": "org",
"status": "online",
"provider": "qemu",
"labels": [
"vm"
],
"slots": 123,
"busy": 123,
"images": [
"win10-22h2"
],
"version": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"type": "invalid_request",
"message": "<string>",
"code": "<string>",
"answered_by": "customer",
"test_case_ids": [
"<string>"
]
}
}Authorizations
An org API key (gh_live_…) from Settings → API keys in the console.
Query Parameters
How many to return, 1 to 100.
Required range:
1 <= x <= 100next_cursor from the previous page.